Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create deal comment

POST/workspaces/{organizationId}/deals/{dealId}/comments
Path parameters
organizationIdstringrequired
dealIdstringrequired
Request body
application/json
bodystringrequired
min length 1
Responses
201

Comment created

idstringrequired
organizationIdstringrequired
entityTypestring | nullrequired
entityIdstring | nullrequired
authorIdstring | nullrequired
bodystringrequired
internalbooleanrequired
externalIdstring | nullrequired
externalSourcestring | nullrequired
externalAuthorstring | nullrequired
resolvedAtstring | nullrequired
resolvedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Record not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/deals/string/comments' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "entityType": "string",
  "entityId": "string",
  "authorId": "string",
  "body": "string",
  "internal": true,
  "externalId": "string",
  "externalSource": "string",
  "externalAuthor": "string",
  "resolvedAt": "string",
  "resolvedById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?